Rewards
Claim stamp reward
Marks a stamp reward as claimed. The reward must have been earned (stamp card completed) and not yet claimed.
Required scopes: loyalty:manage
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Path Parameters
rewardId*string
Response Body
*/*
curl -X POST "https://api.stemp.app/api/v1/rewards/string/claim"{
"id": "string",
"walletPassId": "string",
"templateId": "string",
"stampsAtCompletion": 0,
"rewardName": "string",
"status": "PENDING",
"claimedAt": "2019-08-24T14:15:22Z",
"claimedByMemberId": "string",
"createdAt": "2019-08-24T14:15:22Z"
}